Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.behaviors.interpolators
Class KBCubicSplineCurve

    java.lang.Object
      com.sun.j3d.utils.behaviors.interpolators.KBCubicSplineCurve

    public class KBCubicSplineCurve

extends java.lang.Object

KBCubicSplineCurve is a container class that holds a number of KBCubicSplineSegments

Since:
  Java3D 1.2

Field Summary
`int` | `numSegments`

Method Summary
`KBCubicSplineSegment` | `getSegment(int index)` This method returns the KBCubicSplineSegments pointed to by index
`float` | `getTotalCurveLength()` This method returns the total length of the entire KBCubicSplineCurve motion path.
`void` | `setSegments(KBCubicSplineSegment[] s)` This method takes a list of spline segments to replace the existing set of KBCubicSplineSegments that comprise the current KBCubicSplineCurve motion path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numSegments

    public int numSegments

Method Detail

### setSegments

    public void setSegments(KBCubicSplineSegment[] s)

  This method takes a list of spline segments to replace the existing set of KBCubicSplineSegments that comprise the current KBCubicSplineCurve motion path.

  Parameters:
    `s` - the list of segments that comprise the complete motion path

### getSegment

    public KBCubicSplineSegment getSegment(int index)

  This method returns the KBCubicSplineSegments pointed to by index

  Parameters:
    `index` - the index of the KBCubicSplineSegment required
  Returns:
    the KBCubicSplineSegment pointed to by index

### getTotalCurveLength

    public float getTotalCurveLength()

  This method returns the total length of the entire KBCubicSplineCurve motion path.

  Returns:
    the length of the KBCubicSplineCurve motion path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD